API ReferencePublisher Versions

List agent versions

GET
/v1/publisher/agents/{agent_id}/versions

Returns immutable versions of this agent, newest first.

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Path Parameters

agent_id*string

Publisher-owned agent ID.

Match^agent_[A-Za-z0-9]+$

Query Parameters

limit?integer

Maximum records to return.

Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from next_cursor.

Length1 <= length <= 500

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/publisher/agents/string/versions"
{  "object": "list",  "data": [    {      "id": "aver_01JXYZVERSION02",      "object": "agent.version",      "agent_id": "agent_01JXYZ1234567890",      "number": 2,      "source_revision": 12,      "configuration": {        "name": "Weather Market Forecaster",        "description": "Compares weather forecasts and prediction-market prices.",        "instructions": "Compare current forecasts and explain the strongest position.",        "tools": [          "shell"        ],        "plugins": [],        "pricing": null,        "icon_file_id": null,        "categories": [],        "example_prompts": []      },      "created_at": "2026-08-30T15:00:00Z"    }  ],  "has_more": false,  "next_cursor": null}